## cu2qu 1.3.0

=== requirements.txt ===
fonttools==3.18.0
ufoLib==2.1.1

=== debian/changelog ===
cu2qu (1.3.0-1) unstable; urgency=medium

  * Initial release. Closes: #868004

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Nov 2017 16:59:26 -0500

=== debian/control ===
Source: cu2qu
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-defcon <!nocheck>,
               python3-fonttools (>= 3.18.0),
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-ufolib (>= 2.1.1) <!nocheck>
Standards-Version: 4.1.1
Homepage: https://github.com/googlei18n/cu2qu
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/cu2qu.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/cu2qu.git

Package: python3-cu2qu
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-ufolib (>= 2.1.1)
Description: Python library for cubic-to-quadratic bezier curve conversion
 cu2qu is a library that approximates cubic bezier curves with quadratic
 splines. This has general utility, but is especially useful for generating
 fonts.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cu2qu

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/googlei18n/cu2qu/releases \
	.*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## cu2qu 1.5.0

=== requirements.txt ===
fonttools==3.22.0
ufoLib==2.1.1

=== debian/changelog ===
cu2qu (1.5.0-1) unstable; urgency=medium

  * New upstream release 1.5.0
  * debian/control:
    - Update team mailing list address
    - Bump Standards-Version to 4.1.4
    - Change Vcs fields to salsa.debian.org
    - Update requirements

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 05 Sep 2018 11:53:56 +0800

=== debian/control ===
Source: cu2qu
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-defcon (>= 0.3.5) <!nocheck>,
               python3-fonttools (>= 3.22.0),
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-ufolib (>= 2.1.1)
Standards-Version: 4.1.4
Homepage: https://github.com/googlei18n/cu2qu
Vcs-Git: https://salsa.debian.org/fonts-team/cu2qu.git
Vcs-Browser: https://salsa.debian.org/fonts-team/cu2qu

Package: python3-cu2qu
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python library for cubic-to-quadratic bezier curve conversion
 cu2qu is a library that approximates cubic bezier curves with quadratic
 splines. This has general utility, but is especially useful for generating
 fonts.

## cu2qu 1.6.5

=== debian/changelog ===
cu2qu (1.6.5-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * New upstream release 1.6.5
  * debian/control:
    - Update maintainer address
    - Bump Standards-Version to 4.2.1
    - Bump debhelper version to 11
    - Update dependencies, remove ufolib dependency
  * debian/rules:
    - Add workaround for setuptools
  * add dep for setuptools-scm

  [ Jeremy Bicha ]
  * Add Testsuite: autopkgtest-pkg-python

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Thu, 13 Dec 2018 09:12:51 -0500

=== debian/control ===
Source: cu2qu
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-defcon (>= 0.6.0),
               python3-fonttools (>= 3.32.0),
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.2.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/googlei18n/cu2qu
Vcs-Git: https://salsa.debian.org/fonts-team/cu2qu.git
Vcs-Browser: https://salsa.debian.org/fonts-team/cu2qu

Package: python3-cu2qu
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-fonttools (>= 3.32.0),
         python3-defcon (>= 0.6.0)
Description: Python library for cubic-to-quadratic bezier curve conversion
 cu2qu is a library that approximates cubic bezier curves with quadratic
 splines. This has general utility, but is especially useful for generating
 fonts.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm Lib/cu2qu/_version.py

## cu2qu 1.6.6

=== debian/changelog ===
cu2qu (1.6.6-4ubuntu1) focal; urgency=medium

  * Add missing python3-all-dev dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Nov 2019 10:30:11 +0100

cu2qu (1.6.6-4) unstable; urgency=medium

  * Team upload.

  [ Yao Wei (魏銘廷) ]
  * Add patch from upstream to fix i386 test precision

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Nov 2019 11:19:40 -0400

cu2qu (1.6.6-3) unstable; urgency=medium

  * Use cython3 to build native binary module
  * Fix package test dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 23 Oct 2019 10:18:12 +0800

cu2qu (1.6.6-2) unstable; urgency=medium

  * Team upload.
  * No-change source-only upload to allow testing migration. 

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2019 11:14:18 -0400

cu2qu (1.6.6-1) unstable; urgency=medium

  * New upstream version 1.6.6
  * Separate Python Programs to another package per Python Policy
  * Bump debhelper-compat to 12
  * Bump Standards-Version to 4.4.1
  * Use pytest-3 as autopkgtest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Oct 2019 13:16:51 +0800

=== debian/control ===
Source: cu2qu
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-all-dev,
               cython3 (>= 0.28.5),
               python3-defcon (>= 0.6.0),
               python3-fonttools (>= 3.32.0),
               python3-pytest <!nocheck>,
               python3-importlib-metadata <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.4.1
Homepage: https://github.com/googlei18n/cu2qu
Vcs-Git: https://salsa.debian.org/fonts-team/cu2qu.git
Vcs-Browser: https://salsa.debian.org/fonts-team/cu2qu

Package: python3-cu2qu
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
	 ${shlibs:Depends},
         python3-fonttools (>= 3.32.0),
         python3-defcon (>= 0.6.0)
Description: Cubic-to-quadratic bezier curve conversion (Python 3 Library)
 cu2qu is a library that approximates cubic bezier curves with quadratic
 splines. This has general utility, but is especially useful for generating
 fonts.

Package: cu2qu
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends},
         python3-cu2qu (>= ${source:Version}),
         python3-cu2qu (<< ${source:Upstream-Version}.0~),
	 ${misc:Depends}
Description: Cubic-to-quadratic bezier curve conversion (Executable)
 cu2qu is a library that approximates cubic bezier curves with quadratic
 splines. This has general utility, but is especially useful for generating
 fonts.
 .
 This provides the command-line utility of cu2qu package

## cu2qu 1.6.7

=== requirements.txt ===
fonttools[ufo]==3.32.0
defcon==0.6.0

=== debian/changelog ===
cu2qu (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7
  * d/control: Bump Standards-Version to 4.5.0
  * d/patches: Delete patches that applied upstream

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Mar 2020 23:24:49 +0800

cu2qu (1.6.6-5) unstable; urgency=medium

  * Fix Python upgrade breakage (Closes: #943995)
  * Add Salsa CI script

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 03 Nov 2019 12:50:49 +0800

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-importlib-metadata <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/googlei18n/cu2qu
 Vcs-Git: https://salsa.debian.org/fonts-team/cu2qu.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/cu2qu

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=cu2qu
+export PYBUILD_BUILD_ARGS="--with-cython"
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-all,
         python3-cu2qu,
         python3-pytest,
         python3-coverage,
         python3-importlib-metadata
